PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List channels GETCreate a channel POSTGet a channel GETUpdate a channel PATCHList channel messages GETCreate a message POSTUpdate a message PATCHDelete a message DELETE
Chats

List channels

GET
/channels

Authorization

x-api-key<token>

In: header

Query Parameters

limit?integer
Rangevalue <= 100
Default50
offset?integer
Range0 <= value
Default0
search?string

Response Body

application/json

curl -X GET "https://example.com/channels"
{  "data": [    {      "id": "string",      "workspaceId": "string",      "categoryId": "string",      "name": "string",      "slug": "string",      "description": "string",      "type": "string",      "visibility": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

Retry a failed Meta conversion POST

Previous Page

Create a channel POST

Next Page